<%= form_for @user  do |f| %>
    <div class="card mb-3">
      <div class="card-body">

        <div class="pt-4 pb-2">
          <h5 class="card-title text-center pb-0 fs-4">Create Your Account</h5>
          <p class="text-center small">Enter your username & password to login</p>
        </div>

        <%= hidden_field_tag :url, @url %>
          
        <div class="col-12 mb-3">
          <div class="input-group has-validation">
            <span class="input-group-text" id="inputGroupPrepend">@</span>
            <%= f.text_field :email,  {:class => "form-control", :placeholder=>"Email"} %>
          </div>
        </div>

        <div class="col-12 mb-3">
          <%= f.text_field :first_name,  {:class => "form-control", :placeholder=>"First Name"} %>
        </div>

        <div class="col-12 mb-3">
          <%= f.text_field :last_name,  {:class => "form-control", :placeholder=>"Last Name"} %>
        </div>

        <div class="control-group">
          <div class="col-12 mb-3">
            <%= f.password_field :password, {:class => "form-control", :placeholder=>"Password"}%>
          </div>
        </div>

        <div class="control-group">
          <div class="col-12 mb-3">
            <%= f.password_field :password_confirmation, {:class => "form-control", :placeholder=>"Confirm password"}%>
          </div>
        </div>


        <div class="col-12 mb-1">
          <%= submit_tag "Create", {:class => "btn btn-primary w-100"} %>
        </div>

      </div>
    </div>
<% end %>

<% if flash.count > 0%>
  <div class="alert alert-warning alert-dismissible fade show" role="alert">
    <i class="bi bi-exclamation-octagon me-1"></i>
    <% flash.each do |type, msg| %>
      <%= msg %>
    <% end %>
    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
  </div>
<% end %>